diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/pomo/streams.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/pomo/streams.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/pomo/streams.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/pomo/streams.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 3,24 ****
   * Classes, which help reading streams of data from files.
   * Based on the classes from Danilo Segan <danilo@kvota.net>
   *
!  * @version $Id: streams.php 597 2011-01-16 20:14:36Z nbachiyski $
   * @package pomo
   * @subpackage streams
   */
  
  if ( !class_exists( 'POMO_Reader' ) ):
  class POMO_Reader {
! 	
  	var $endian = 'little';
  	var $_post = '';
! 	
  	function POMO_Reader() {
  		$this->is_overloaded = ((ini_get("mbstring.func_overload") & 2) != 0) && function_exists('mb_substr');
  		$this->_pos = 0;
  	}
! 	
  	/**
  	 * Sets the endianness of the file.
  	 *
--- 3,24 ----
   * Classes, which help reading streams of data from files.
   * Based on the classes from Danilo Segan <danilo@kvota.net>
   *
!  * @version $Id: streams.php 718 2012-10-31 00:32:02Z nbachiyski $
   * @package pomo
   * @subpackage streams
   */
  
  if ( !class_exists( 'POMO_Reader' ) ):
  class POMO_Reader {
! 
  	var $endian = 'little';
  	var $_post = '';
! 
  	function POMO_Reader() {
  		$this->is_overloaded = ((ini_get("mbstring.func_overload") & 2) != 0) && function_exists('mb_substr');
  		$this->_pos = 0;
  	}
! 
  	/**
  	 * Sets the endianness of the file.
  	 *
***************
*** 57,64 ****
  		$endian_letter = ('big' == $this->endian)? 'N' : 'V';
  		return unpack($endian_letter.$count, $bytes);
  	}
! 	
! 	
  	function substr($string, $start, $length) {
  		if ($this->is_overloaded) {
  			return mb_substr($string, $start, $length, 'ascii');
--- 57,64 ----
  		$endian_letter = ('big' == $this->endian)? 'N' : 'V';
  		return unpack($endian_letter.$count, $bytes);
  	}
! 
! 
  	function substr($string, $start, $length) {
  		if ($this->is_overloaded) {
  			return mb_substr($string, $start, $length, 'ascii');
***************
*** 66,72 ****
  			return substr($string, $start, $length);
  		}
  	}
! 	
  	function strlen($string) {
  		if ($this->is_overloaded) {
  			return mb_strlen($string, 'ascii');
--- 66,72 ----
  			return substr($string, $start, $length);
  		}
  	}
! 
  	function strlen($string) {
  		if ($this->is_overloaded) {
  			return mb_strlen($string, 'ascii');
***************
*** 74,80 ****
  			return strlen($string);
  		}
  	}
! 	
  	function str_split($string, $chunk_size) {
  		if (!function_exists('str_split')) {
  			$length = $this->strlen($string);
--- 74,80 ----
  			return strlen($string);
  		}
  	}
! 
  	function str_split($string, $chunk_size) {
  		if (!function_exists('str_split')) {
  			$length = $this->strlen($string);
***************
*** 86,93 ****
  			return str_split( $string, $chunk_size );
  		}
  	}
! 	
! 		
  	function pos() {
  		return $this->_pos;
  	}
--- 86,93 ----
  			return str_split( $string, $chunk_size );
  		}
  	}
! 
! 
  	function pos() {
  		return $this->_pos;
  	}
***************
*** 95,101 ****
  	function is_resource() {
  		return true;
  	}
! 	
  	function close() {
  		return true;
  	}
--- 95,101 ----
  	function is_resource() {
  		return true;
  	}
! 
  	function close() {
  		return true;
  	}
***************
*** 108,118 ****
  		parent::POMO_Reader();
  		$this->_f = fopen($filename, 'rb');
  	}
! 	
  	function read($bytes) {
  		return fread($this->_f, $bytes);
  	}
! 	
  	function seekto($pos) {
  		if ( -1 == fseek($this->_f, $pos, SEEK_SET)) {
  			return false;
--- 108,118 ----
  		parent::POMO_Reader();
  		$this->_f = fopen($filename, 'rb');
  	}
! 
  	function read($bytes) {
  		return fread($this->_f, $bytes);
  	}
! 
  	function seekto($pos) {
  		if ( -1 == fseek($this->_f, $pos, SEEK_SET)) {
  			return false;
***************
*** 120,138 ****
  		$this->_pos = $pos;
  		return true;
  	}
! 	
  	function is_resource() {
  		return is_resource($this->_f);
  	}
! 	
  	function feof() {
  		return feof($this->_f);
  	}
! 	
  	function close() {
  		return fclose($this->_f);
  	}
! 	
  	function read_all() {
  		$all = '';
  		while ( !$this->feof() )
--- 120,138 ----
  		$this->_pos = $pos;
  		return true;
  	}
! 
  	function is_resource() {
  		return is_resource($this->_f);
  	}
! 
  	function feof() {
  		return feof($this->_f);
  	}
! 
  	function close() {
  		return fclose($this->_f);
  	}
! 
  	function read_all() {
  		$all = '';
  		while ( !$this->feof() )
***************
*** 148,156 ****
   * of a physical file.
   */
  class POMO_StringReader extends POMO_Reader {
! 	
  	var $_str = '';
! 	
  	function POMO_StringReader($str = '') {
  		parent::POMO_Reader();
  		$this->_str = $str;
--- 148,156 ----
   * of a physical file.
   */
  class POMO_StringReader extends POMO_Reader {
! 
  	var $_str = '';
! 
  	function POMO_StringReader($str = '') {
  		parent::POMO_Reader();
  		$this->_str = $str;
***************
*** 178,184 ****
  	function read_all() {
  		return $this->substr($this->_str, $this->_pos, $this->strlen($this->_str));
  	}
! 	
  }
  endif;
  
--- 178,184 ----
  	function read_all() {
  		return $this->substr($this->_str, $this->_pos, $this->strlen($this->_str));
  	}
! 
  }
  endif;
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/pomo/translations.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/pomo/translations.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/pomo/translations.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/pomo/translations.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 2,8 ****
  /**
   * Class for a set of entries for translation and their associated headers
   *
!  * @version $Id: translations.php 590 2010-12-20 19:58:37Z nbachiyski $
   * @package pomo
   * @subpackage translations
   */
--- 2,8 ----
  /**
   * Class for a set of entries for translation and their associated headers
   *
!  * @version $Id: translations.php 718 2012-10-31 00:32:02Z nbachiyski $
   * @package pomo
   * @subpackage translations
   */
***************
*** 29,35 ****
  		$this->entries[$key] = &$entry;
  		return true;
  	}
! 	
  	function add_entry_or_merge($entry) {
  		if (is_array($entry)) {
  			$entry = new Translation_Entry($entry);
--- 29,35 ----
  		$this->entries[$key] = &$entry;
  		return true;
  	}
! 
  	function add_entry_or_merge($entry) {
  		if (is_array($entry)) {
  			$entry = new Translation_Entry($entry);
***************
*** 121,127 ****
  			$this->entries[$entry->key()] = $entry;
  		}
  	}
! 	
  	function merge_originals_with(&$other) {
  		foreach( $other->entries as $entry ) {
  			if ( !isset( $this->entries[$entry->key()] ) )
--- 121,127 ----
  			$this->entries[$entry->key()] = $entry;
  		}
  	}
! 
  	function merge_originals_with(&$other) {
  		foreach( $other->entries as $entry ) {
  			if ( !isset( $this->entries[$entry->key()] ) )
***************
*** 134,140 ****
  
  class Gettext_Translations extends Translations {
  	/**
! 	 * The gettext implmentation of select_plural_form.
  	 *
  	 * It lives in this class, because there are more than one descendand, which will use it and
  	 * they can't share it effectively.
--- 134,140 ----
  
  class Gettext_Translations extends Translations {
  	/**
! 	 * The gettext implementation of select_plural_form.
  	 *
  	 * It lives in this class, because there are more than one descendand, which will use it and
  	 * they can't share it effectively.
***************
*** 148,154 ****
  		}
  		return call_user_func($this->_gettext_select_plural_form, $count);
  	}
! 	
  	function nplurals_and_expression_from_header($header) {
  		if (preg_match('/^\s*nplurals\s*=\s*(\d+)\s*;\s+plural\s*=\s*(.+)$/', $header, $matches)) {
  			$nplurals = (int)$matches[1];
--- 148,154 ----
  		}
  		return call_user_func($this->_gettext_select_plural_form, $count);
  	}
! 
  	function nplurals_and_expression_from_header($header) {
  		if (preg_match('/^\s*nplurals\s*=\s*(\d+)\s*;\s+plural\s*=\s*(.+)$/', $header, $matches)) {
  			$nplurals = (int)$matches[1];
***************
*** 174,180 ****
  	/**
  	 * Adds parantheses to the inner parts of ternary operators in
  	 * plural expressions, because PHP evaluates ternary oerators from left to right
! 	 * 
  	 * @param string $expression the expression without parentheses
  	 * @return string the expression with parentheses added
  	 */
--- 174,180 ----
  	/**
  	 * Adds parantheses to the inner parts of ternary operators in
  	 * plural expressions, because PHP evaluates ternary oerators from left to right
! 	 *
  	 * @param string $expression the expression without parentheses
  	 * @return string the expression with parentheses added
  	 */
***************
*** 202,208 ****
  		}
  		return rtrim($res, ';');
  	}
! 	
  	function make_headers($translation) {
  		$headers = array();
  		// sometimes \ns are used instead of real new lines
--- 202,208 ----
  		}
  		return rtrim($res, ';');
  	}
! 
  	function make_headers($translation) {
  		$headers = array();
  		// sometimes \ns are used instead of real new lines
***************
*** 215,221 ****
  		}
  		return $headers;
  	}
! 	
  	function set_header($header, $value) {
  		parent::set_header($header, $value);
  		if ('Plural-Forms' == $header) {
--- 215,221 ----
  		}
  		return $headers;
  	}
! 
  	function set_header($header, $value) {
  		parent::set_header($header, $value);
  		if ('Plural-Forms' == $header) {
***************
*** 234,240 ****
  class NOOP_Translations {
  	var $entries = array();
  	var $headers = array();
! 	
  	function add_entry($entry) {
  		return true;
  	}
--- 234,240 ----
  class NOOP_Translations {
  	var $entries = array();
  	var $headers = array();
! 
  	function add_entry($entry) {
  		return true;
  	}
